#include "move.h"
#include "config.h"

/****************** Movement Functions ******************/


void blink( gint Start, gint End )
{
  gtk_timeout_add( Start, display_blink, NULL );
  gtk_timeout_add( End, display_stand, NULL );
  
  return;
}

void move( gint Start, gint End )
{
    gtk_timeout_add( Start, display_move, NULL );
    gtk_timeout_add( End, display_stand, NULL );
return;

}

void init_movement( gint MoveStart, gint MoveEnd, gint BlinkStart, gint BlinkEnd )
{

  gdk_window_raise ( Main->window ); /* A Trick I learned 8) */

  if( 1+(int) (5.0*rand()/(RAND_MAX+1.0)) == 1){
    move( MoveStart, MoveEnd );

    return;
  }
  else
    if(1+(int) (5.0*rand()/(RAND_MAX+1.0)) == 1){
      blink( BlinkStart, BlinkEnd);

      return;
  }
}

gint init_mars_movement()
{
  init_movement( MarsMoveStart,
		 MarsMoveEnd,
		 MarsBlinkStart,
		 MarsBlinkEnd );
  return(TRUE);
}

gint init_moon_movement()
{
  init_movement( MoonMoveStart,
		 MoonMoveEnd,
		 MoonBlinkStart,
		 MoonBlinkEnd );
  return(TRUE);
}

gint init_jupiter_movement()
{
  init_movement( JupiterMoveStart,
		 JupiterMoveEnd,
		 JupiterBlinkStart,
		 JupiterBlinkEnd );
  return(TRUE);
}

gint init_venus_movement()
{
  init_movement( VenusMoveStart,
		 VenusMoveEnd,
		 VenusBlinkStart,
		 VenusBlinkEnd );
  return(TRUE);
}

gint init_mercury_movement()
{
  init_movement( MercuryMoveStart,
		 MercuryMoveEnd,
		 MercuryBlinkStart,
		 MercuryBlinkEnd );
  return(TRUE);
}

